package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 操作证操作记录
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class LiftCertificateHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId("id")
    private Long id;

    /**
     * 维保公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 操作证ID
     */
    @TableField("lift_certificate_id")
    private Long liftCertificateId;

    /**
     * 操作证所有人ID
     */
    @TableField("owner_id")
    private Long ownerId;

    /**
     * 操作证编号
     */
    @TableField("certificate_code")
    private String certificateCode;

    /**
     * 操作描述
     */
    @TableField("description")
    private String description;

    /**
     * 操作内容
     */
    @TableField("content")
    private String content;

    /**
     * 操作人ID
     */
    @TableField("operator_id")
    private Long operatorId;

    /**
     * 操作时间
     */
    @TableField("operate_date")
    private LocalDateTime operateDate;


}
