package cn.com.ty.lift.business.emergency.dto;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;

import java.util.Date;

/**
 * @author wcz
 * @date 2019/12/5
 * @description 根据条件分页查询急修单，条件封装model
 */
@Data
public class RepairRequest extends BaseRequestModel{

    /**
     * 主键id
     */
    private long id;
    /**
     * 维保公司id
     */
    private long mtCompanyId;

    /**
     * 区域id
     */
    private long regionId;

    /**
     * 项目id
     */
    private long projectId;

    /**
     * 维保工id
     */
    private long workerId;

    /**
     * 报修开始时间
     */
    private Date repairBegin;

    /**
     * 报修结束时间
     */
    private Date repairEnd;

    /**
     * 急修单状态
     */
    private int status;

    /**
     * 电梯注册代码，多条件字段模糊匹配
     */
    private String info;

    /**
     * 故障来源
     */
    private Integer source;
}
